Last Comment Bug 395549 - [es-CL] Spanish (Chile): Firefox
: [es-CL] Spanish (Chile): Firefox
Status: RESOLVED FIXED
:
Product: Mozilla Localizations
Classification: Client Software
Component: Registration & Management (show other bugs)
: unspecified
: All Mac OS X
: -- normal (vote)
: ---
Assigned To: Localization Registration Bugs
:
:
Mentors:
Depends on:
Blocks: 475267 fx-l10n-es-CL
  Show dependency treegraph
 
Reported: 2007-09-08 19:11 PDT by Emilio Sepulveda
Modified: 2009-05-12 12:07 PDT (History)
13 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Fx2 es-CL locale / File for Review request (180.23 KB, application/octet-stream)
2008-01-21 17:23 PST, Emilio Sepulveda
no flags Details
Firefox es-CL review (5.58 KB, text/plain)
2008-03-24 14:27 PDT, [:rickiees] Ricardo Palomares
no flags Details
Fx3.1b3pre updated locale tarball (279.06 KB, application/x-gzip)
2008-12-23 21:17 PST, Emilio Sepulveda
no flags Details
language pack for b3pre, b3 for testing (124.48 KB, application/x-xpinstall)
2009-02-03 10:53 PST, Axel Hecht [:Pike]
no flags Details
b3pre-b3 updated tarball (131.91 KB, application/x-gzip)
2009-02-04 16:52 PST, Emilio Sepulveda
no flags Details
Firefox 3.1b4 locale tarball - updated version (140.02 KB, application/x-gzip)
2009-03-08 18:42 PDT, Emilio Sepulveda
no flags Details
Firefox 3.5b4 updated tarball with new strings translated (141.97 KB, application/x-gzip)
2009-03-23 13:38 PDT, Emilio Sepulveda
l10n: review+
Details

Description Emilio Sepulveda 2007-09-08 19:11:45 PDT
User-Agent:       Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; es; rv:1.8.1.6) Gecko/20070809 Camino/1.5.1 (MultiLang)
Build Identifier: 

Hello.

I want to localize Mozilla Firefox

Contributor: Emilio Sepúlveda

Contact e-mail: djfunkinmixer@gmail.com / emilio.sepulveda@desandcons.com 
ISO 639 Code: es-CL


Reproducible: Always



Expected Results:  
I need CVS access for work in the es-CL localization project.
Comment 1 Gervase Markham [:gerv] 2007-09-19 03:39:59 PDT
We've recently developed new documentation about how to become an official l10n team for Firefox or Thunderbird:
http://wiki.mozilla.org/L10n:Starting_a_localization

Could you please follow the procedure there, including creating yourself an L10n wiki page? That will make you the official localisation team for Chilean Spanish. You may want to coordinate with the other Spanish teams to make it easy for you to reuse their work. You probably don't want to start from scratch! If you can get yourself to the stage where you are able to distribute a working language pack for the latest version of Firefox, we can discuss checking the localisation into CVS.

I notice you've also opened a bug on registering to do SeaMonkey (bug 287638). 

If you find the documentation isn't detailed enough, please let us know so we can fix it.

Gerv
Comment 2 Axel Hecht [:Pike] 2007-10-10 12:45:47 PDT
I have CCed folks from the Spanish localization teams here, this bug is as good as any other.

I'd like the spanish localizations to be a team effort. Could each of you do a review of the existing localizations, i.e., es-ES and es-AR, and give us an estimate on how big you think the changes should be between either and es-CL and es-MX? Feel free to point out places where you just think you found bugs in the two.

I have opened a thread on mozilla.dev.l10n, which you can join on both google groups and news.mozilla.org, google groups thread is http://groups.google.com/group/mozilla.dev.l10n/browse_frm/thread/3a8a0299c38b3fae/2f16fe7858ae3c18#2f16fe7858ae3c18

Thanks for your support
Comment 3 [:rickiees] Ricardo Palomares 2007-10-10 14:54:15 PDT
(In reply to comment #2)
> I have CCed folks from the Spanish localization teams here, this bug is as
> good as any other.
> 
> I'd like the spanish localizations to be a team effort. Could each of you do a
> review of the existing localizations, i.e., es-ES and es-AR, and give us an
> estimate on how big you think the changes should be between either and es-CL
> and es-MX?


I'm afraid I can't do that. Neither I have enough time to do it, nor I have precise knowledge about what a chilean or mexican would find weird in a es-ES translation, much less in es-AR.

I really think the process should be taken on es-CL and es-MX side, and I don't really think I need to do it (heck, I'm not even sure if I *can* do it), but of course I bless anyone to take es-ES localization as starting point for another es-* localization, as long as they respect licenses.

Comment 4 Marcelo Poli 2007-10-11 18:16:30 PDT
Emilio just talked to me, and most of the es-AR localization will be used to get es-CL ready as soon as posible.
Chile is right next to Argentina and our localization is almost perfect.
Comment 5 Ricardo Meza 2007-10-12 00:35:08 PDT
Espero no incomodar a nadie por hablar castellano.

Estoy de acuerdo con Ricardo Palomares con respecto a su comentario en el que cree que los procesos deben ser realizados por separado, cada país de habla hispana tiene sus características muy particulares, pero creo que a todos nos caería bien tener alguna referencia, guía, mejores prácticas, etc. del proceso.

Ya que Gervase Markham ha sugerido la creación de la "wiki page" a cada uno de los que estamos interesados en contribuir en este aspecto, yo sugiero, si así lo desean:

* Crear una wiki page para las "Localization" de habla hispana siendo un punto de encuentro que además sirva para oficializar los equipos de trabajo.

* Que exista una sección individual para los integrantes de cada país.

* Crear una sección de consulta común que incluya referencias, guías, tips, mejores prácticas, fuentes, FAQ's y demás contenidos que faciliten el proceso y permitan reusar el trabajo (si los amigos de Argentina o España lo desean, al inicio nos podrían dar una gran ayuda incluyendo sus valiosas experiencias).

* Contribuir en las secciones antes mencionadas con las nuevas experiencias que los recién llegados tengamos.

Yo puedo contribuir con la creación de la wiki page de inicio apoyado, por supuesto, de sus valiosas sugerencias.

Estoy consciente que es mucho trabajo, pero sería bueno hacerlo.

¿Qué opinan?.
Comment 6 Axel Hecht [:Pike] 2007-10-12 02:37:57 PDT
Ricardo Palomares, that's totally fine, I mostly CCed you to get you into the loop on the discussion.

Marco, Emilio, I'd be interested to have some details on the "most", either a patch en-AR vs en-CL, or some overall description of the changes.

Ricardo Meza, sadly, I don't speak any Spanish, so I cannot comment on your input.
Comment 7 [:rickiees] Ricardo Palomares 2007-10-12 02:57:06 PDT
(In reply to comment #3)
> 
> I really think the process should be taken on es-CL and es-MX side,


I've just noticed that I should clarify on this:


> and I don't really think I need to do it (heck, I'm not even sure if I *can*
> do it),


Just in case, I didn't mean that I don't need to or can check translation similarities. I meant that I don't know if I need or can grant permission to use es-ES as starting point for another es-* localization:

> ...but of
> course I bless anyone to take es-ES localization as starting point for another
> es-* localization, as long as they respect licenses.
> 

Comment 8 [:rickiees] Ricardo Palomares 2007-10-12 03:19:10 PDT
(In reply to comment #5)
> Espero no incomodar a nadie por hablar castellano.


Let's stick to english so all participants can understand and reply to comments. :-)

> 
> Estoy de acuerdo con Ricardo Palomares con respecto a su comentario en el que
> cree que los procesos deben ser realizados por separado, cada país de habla
> hispana tiene sus características muy particulares, pero creo que a todos nos
> caería bien tener alguna referencia, guía, mejores prácticas, etc. del
> proceso.

[Ricardo Meza suggests putting in common references, guides, best practices about the L10n process]

English-spanish localization style guides are sometimes published by commercial companies. I think Microsoft did it, and I was aware recently of Sun's:

http://wiki.netbeans.org/wiki/view/SpanishTranslationGuiaTraduccion

I like most of what I've read in Sun's guide, but still there are points in which I don't agree. I think the best move will be for each es-* localization to write their own style guide, based on previous guides. For instance, translating "computer" by "computadora" sounds unusual in Spain, and translating it by "ordenador" sounds unusual in most latin-american countries.

Regarding localization processes themselves, I strongly believe that documents and tips about them should be in english, as they shouldn't depend on the target language.


> Ya que Gervase Markham ha sugerido la creación de la "wiki page" a cada uno de
> los que estamos interesados en contribuir en este aspecto, yo sugiero, si así
> lo desean:
> 
> * Crear una wiki page para las "Localization" de habla hispana siendo un punto
> de encuentro que además sirva para oficializar los equipos de trabajo.

[Ricardo Meza talks about creating a wiki page for es-* localizations as a meeting point to oficialize teams]

Actually, is the registration bug along with the wiki page which oficializes each localization team, AFAIK. Having a common page could be interesting, though, if we really find common material to put in it.


> 
> * Que exista una sección individual para los integrantes de cada país.
>
[Invididual sections in the es-* wiki page for each country member]


Individual wiki pages already exist for each localization (not country), so pointers to them should be used instead.


> * Crear una sección de consulta común que incluya referencias, guías, tips,
> mejores prácticas, fuentes, FAQ's y demás contenidos que faciliten el proceso
> y permitan reusar el trabajo (si los amigos de Argentina o España lo desean,
> al inicio nos podrían dar una gran ayuda incluyendo sus valiosas
> experiencias).

[Ricardo Meza advocates creating a common reference section including guides, tips, best practices, sources and references, FAQs and other contents easing L10n process and reusing]

Except for english-spanish style guides, about which I've commented previously, I think most of those contents should be useful for any localization and, therefore, should be in english for everybody to be able to use it.

Notwithstanding this, we actually have a "welcoming" document for new localization efforts at Proyecto NAVE in spanish:

http://www.proyectonave.es/docs/iniciar_nueva.php


> * Contribuir en las secciones antes mencionadas con las nuevas experiencias
> que los recién llegados tengamos.

[Ricardo Meza suggests to promote contributions from newcomers in the proposed wiki references page]

Again, I think that is important not just for spanish members, but for all L10n members. I'd say even more, feedback from new localization teams about existing L10n documentation is encouraged and well received.

I think this conversation should take place in newsgroup mozilla.dev.l10n (or mirrored mailing list, whose address I don't remember right now). We could be charged of bugspamming if we stay here, I think.

Comment 9 Ricardo Meza 2007-10-18 23:02:25 PDT
Thank's a lot for all your comments, I'm reading all that links. If I have any questions, do I make it in this place or otherwise?
Comment 10 Gervase Markham [:gerv] 2007-10-20 09:05:24 PDT
The best place for questions is the newsgroup:
news://news.mozilla.org/mozilla.dev.l10n

Gerv
Comment 11 Ricardo Meza 2007-10-20 09:11:58 PDT
Ok Gervase, thanks a lot.
Comment 12 Emilio Sepulveda 2008-01-21 17:23:26 PST
Created attachment 298378 [details]
Fx2 es-CL locale / File for Review request
Comment 13 Axel Hecht [:Pike] 2008-03-24 10:55:35 PDT
I wonder if one of the Spanish folks could/should do a review on this before me.

Any volunteers?
Comment 14 [:rickiees] Ricardo Palomares 2008-03-24 13:31:26 PDT
(In reply to comment #13)
> I wonder if one of the Spanish folks could/should do a review on this before
> me.
> 
> Any volunteers?

I'm taking a look at it.
Comment 15 [:rickiees] Ricardo Palomares 2008-03-24 14:27:23 PDT
Created attachment 311435 [details]
Firefox es-CL review

This is not an in-deep review. Per the results, I'd say that es-CL team needs to do a thorough review, probably creating and installing a langpack XPI and testing the program interface by using it for a couple of weeks.

Some hints:

- create a glossary of terms (something like [1]) and try to fix strings to get a consistent translation for those terms.
- use a reference dictionary for es-CL. I'd say that RAE dictionary [2] is the normative one for all Spanish variants, but YMMV.
- english messages should be the exception in a fully translated Firefox. Every time you find one while surfing the Net, find out if the message comes from the web site or a non-translated string in Firefox.

[1] http://www.proyectonave.es/glosario/
[2] http://www.rae.es/

Good luck!
Comment 16 [:rickiees] Ricardo Palomares 2008-03-24 14:34:15 PDT
BTW, there are a LOT of strings that would sound weird to a Spaniard, and probably the opposite will be true for es-ES vs. an Argentinian or Chilean, so I guess there is really a point in having several es-* translations. :-)
Comment 17 Seth Bindernagel 2008-08-26 21:14:37 PDT
Hi es-CL team:

How are you doing with your localization?  I see a recommendation in Comment #15 from Ricardo about making a language XPI.

It also appears that there were some Fx2 requests of the Mozilla team.  If possible, could you provide an update?  I would love to hear where you are in the process and where we can help

One question I had:  Have you decided to work on localizing Firefox 3?  

If you have started, thank you for all of your work at localizing.  We're at the unique point of determining if you should localize for Firefox 3 or move onto localizing for Firefox 3.1, depending on your availability and interest.

If you are interested in working on *something* that is stable, you can continue to focus on localizing Firefox 3.  We can get stable builds going for you.  However, we will eventually ship your work in Firefox 3.1 and you will need to update the effort you are putting into Firefox 3 right now.  The good news is that the string changes from Fx 3 --> Fx 3.1 are presently small in number (~30), so the update should not be too much too handle.  

However, if you are interested in moving your effort toward localizing Firefox 3.1, then you can read the following documentation on working with Mercurial and getting a local environment set up on your machine.

http://developer.mozilla.org/en/L10n_on_Mercurial

or learn the basics about Mercurial here:

http://developer.mozilla.org/en/Mercurial

Thanks so much for your hard work.  As always, ping us with any questions, we are ready to help.

Kind regards,
Sethb
Comment 18 Guillermo López :willyaranda (probably SLOW response) 2008-08-26 22:02:08 PDT
We have translated this pages to Spanish (thanks to Ricardo) :

http://developer.mozilla.org/es/L10n_en_Mercurial

http://developer.mozilla.org/es/Mercurial

and interesting article: http://developer.mozilla.org/es/FAQ_de_Mercurial

You can also send me an email if you need more help because our translation (es-ES) has begun to use hg to the next Firefox 3.1. I don't know if es-AR has begun to work with hg...

Kind regards!
Comment 19 Emilio Sepulveda 2008-08-27 08:59:04 PDT
Sethb: Hmmm. We are using Narro for translate Firefox 3.x to our locale.
I have a question about Mercurial: The requirements for get a committer account are the same as the requirements for a CVS account or not?

willyaranda: Thanks.
Comment 20 Seth Bindernagel 2008-08-27 14:46:05 PDT
Hi Emilio:

Glad you are using Narro.  Hope that has worked well and I know Alexandru has been very helpful if you run into trouble...but you probably know that.  

Regarding the committer process, Gerv is still the keeper of that process.  Current CVS committers just need to sign a new Committers Agreement.  People who want new access have to go through the same process of getting people to vouch for them, etc.

Just keep pinging me in this bug and when we get closer to a finished translation and registration time, we will coordinate it together.  Does that seem clear and fair?
Comment 21 Seth Bindernagel 2008-08-27 15:37:07 PDT
Hi Emelio:

One more thought...

Everybody who wants access to Mozilla repositories needs the following:

- an ssh key
- a signed contributor form
- vouchers.

The voucher piece is handled a bit ad-hoc for l10n compared to contributors to the main repositories.

Hope that helps even more.
Comment 22 Pablo Olmos de Aguilera Corradini 2008-09-28 20:05:53 PDT
(In reply to comment #20)
> Hi Emilio:

I'm Pablo and recently with Emilio and Eduardo (who hasn't post here) have launched ChileMoz[1]. The last months we've working very hard to make real our project. The idea is to localize Mozilla products to our beloved country :D. He's a little out of time so I'm taking his place for now :).

> Glad you are using Narro.  Hope that has worked well and I know Alexandru has
> been very helpful if you run into trouble...but you probably know that.  

Alexandru has been very nice and a lot of help when I'd troubles.

> Regarding the committer process, Gerv is still the keeper of that process. 
> Current CVS committers just need to sign a new Committers Agreement.  People
> who want new access have to go through the same process of getting people to
> vouch for them, etc.

I don't understand very well this point. It's necessary for us to become committers? The process looks oriented to developers.

> Just keep pinging me in this bug and when we get closer to a finished
> translation and registration time, we will coordinate it together.  Does that
> seem clear and fair?

We are very close to finish the localization, I think in one or at most two weeks es-CL will be 100% translated (right now is 89%).

[1] http://www.chilemoz.org/

(In reply to comment #21)
> Hi Emelio:
> 
> One more thought...
> 
> Everybody who wants access to Mozilla repositories needs the following:
> 
> - an ssh key
> - a signed contributor form
> - vouchers.

When you localize and don't code... How you can get vouchers?

> The voucher piece is handled a bit ad-hoc for l10n compared to contributors to
> the main repositories.

Sorry, I don't understand what you tried to tell u_u.

> Hope that helps even more.
Comment 23 Emilio Sepulveda 2008-12-23 21:17:58 PST
Created attachment 354376 [details]
Fx3.1b3pre updated locale tarball
Comment 24 Marcelo Poli 2008-12-24 07:09:54 PST
I'll make a quick review from the new tarball, I'm just finished downloading it.

(In reply to comment #22)
> (In reply to comment #20)
> 
> I don't understand very well this point. It's necessary for us to become
> committers? The process looks oriented to developers.
> 
Yes, you must commit your translated files to Mozilla servers. When you do that, you get nightlies automatically generated on ftp.mozilla.org
I'm trying to keep the translation updated every day and it's easier to see if there are some errors.

> 
> When you localize and don't code... How you can get vouchers?
> 
> > The voucher piece is handled a bit ad-hoc for l10n compared to contributors to
> > the main repositories.
> 
> Sorry, I don't understand what you tried to tell u_u.

They are telling you that if the translation is ok, you'll get the voucher. That means, you'll get the authorization to upload files.
Comment 25 Axel Hecht [:Pike] 2009-02-03 10:53:16 PST
Created attachment 360338 [details]
language pack for b3pre, b3 for testing

This is a language pack for testing, generated from the source in attachment 354376 [details]. I had to do a bit of l10n-merge and hand-editing, but this should install in both current 1.9.1 nightlies as well as the upcoming Firefox 3.1 Beta 3.

Technically, there are a few missing strings by now, which is totally fine. The stats from compare-locales look good, 

es-CL:
missing: 34
keys: 919
unchanged: 474
changed: 4632
missingInFiles: 2
obsolete: 14
90% of entries changed

What I'd like to see is another pass on an actual review of the Spanish here, thus the attached language pack.
Comment 26 Marcelo Poli 2009-02-03 12:40:42 PST
Quick review. I'm writing this with es-CL langpack enabled.
The langpack install ok. Everything is working.
There are some accesskeys that need to match a letter in the label. e.g.: Marcadores (B)
Some strings still appear in english, but Axel just said that.
Maybe there are some minor typos.
I can say that this revision is almost ready and it could be used as a beta. With a little effort they can make it work to release RC1.

Emilio, Pablo, please send me an email if you need more details.
Comment 27 Emilio Sepulveda 2009-02-04 10:25:29 PST
Axel & Marcelo: Thanks.

I started the process for get a Mercurial (Hg) account (Please see bug 475267)
Comment 28 Emilio Sepulveda 2009-02-04 16:52:24 PST
Created attachment 360622 [details]
b3pre-b3 updated tarball

Updated b3pre-b3 tarball with certain strings fixed.
Comment 29 Pascal Chevrel:pascalc 2009-02-17 12:31:58 PST
A couple of things I noticed:

- in the cookies dialog you explain in the text that the use can click on 'Permitir Para la Sesión' but the button is labelled 'Permitir por esta sesión'

- in the color picker dialog the category is called 'colores de link' but the dialog uses 'enlace' (link) everywhere

- in the language dialog picker, you use 'idioma' everywhere, but the selector says 'Seleccione un lenguaje...'

- in the security pane, maybe it's a Chileanism but the sentence 'Bloquear sitios informados de falsificación' sounds like the sites have been informed of their behaviour, I think 'sospechados' or 'conocidos' would make more sense for reported

- '...stored on your computer' is sometimes translated as '... almacenados en su computador' and sometimes as  '... almacenados en su equipo' (personnally I prefer equipo)

- in the security setting dialog, you use formal You and subjonctive for all options 'Vaya...' except for 'Dejo una página...' which is in indicative first person.
 

- the string 'start private browsing' is not translated

- the about box is not translated
Comment 30 Emilio Sepulveda 2009-03-08 18:42:49 PDT
Created attachment 366232 [details]
Firefox 3.1b4 locale tarball - updated version
Comment 31 Pascal Chevrel:pascalc 2009-03-09 09:14:33 PDT
Emilio, does your latest tarball take into account the comments I made in #29 ? thanks
Comment 32 Emilio Sepulveda 2009-03-09 12:03:12 PDT
(In reply to comment #31)
> Emilio, does your latest tarball take into account the comments I made in #29 ?
> thanks

Pascal: Yes.
Comment 33 Emilio Sepulveda 2009-03-23 13:38:36 PDT
Created attachment 368957 [details]
Firefox 3.5b4 updated tarball with new strings translated
Comment 34 Axel Hecht [:Pike] 2009-05-12 11:44:34 PDT
Comment on attachment 368957 [details]
Firefox 3.5b4 updated tarball with new strings translated

intl.menuitems.insertseparatorbeforeaccesskeys in toolkit/chrome/global/intl.properties is translated, it should be either true or false. I have reset that to true, as in en-US. I removed the en-US search plugins, too, the files get picked up from the en-US dirs by the build anyway. Please don't do any changes to either search or region.properties without bugs and reviewed patches, we'll file bugs to get the initial revision done in a moment.
Comment 35 Axel Hecht [:Pike] 2009-05-12 12:07:16 PDT
Congratulations, the shipping bugs are filed.

Marking FIXED, I'll head over to your account bug and do the vouching.

Note You need to log in before you can comment on or make changes to this bug.